<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('account', function (Blueprint $table) {
            $table->unsignedInteger('id', true)->primary();
            $table->string('login', 30)->unique('login');
            $table->text('password');
            $table->string('social_id', 13)->default('')->index('social_id');
            $table->string('email', 64);
            $table->dateTime('create_time')->useCurrent();
            $table->string('status', 8)->default('OK');
            $table->string('securitycode', 192)->nullable();
            $table->dateTime('availDt')->useCurrent();
            $table->integer('mileage')->default(0);
            $table->integer('cash')->default(0);
            $table->dateTime('gold_expire')->useCurrent();
            $table->dateTime('silver_expire')->useCurrent();
            $table->dateTime('safebox_expire')->useCurrent();
            $table->dateTime('autoloot_expire')->useCurrent();
            $table->dateTime('fish_mind_expire')->useCurrent();
            $table->dateTime('marriage_fast_expire')->useCurrent();
            $table->dateTime('money_drop_rate_expire')->useCurrent();
            $table->string('ip')->nullable();
            $table->dateTime('last_play')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('account');
    }
};
